Page MenuHomePhabricator

Update Popups Extension page
Closed, ResolvedPublic1 Story Points

Description

Motivation
The extension manual for the pop up extension currently only covers PagePreviews. We need to adapt it to include ReferencePreviews as well.

Acceptance Criteria

Note
Please keep in mind that the extension manual is designed for users installing the extension

Event Timeline

Lea_WMDE created this task.Feb 12 2019, 1:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 1:27 PM
Lea_WMDE triaged this task as Normal priority.Feb 12 2019, 1:30 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.
JStrodt_WMDE updated the task description. (Show Details)Feb 22 2019, 1:33 PM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-03-06 board.

Looks fine from my side, @thiemowmde?

WMDE-Fisch changed the point value for this task from 5 to 1.Mar 20 2019, 1:23 PM
WMDE-Fisch moved this task from Backlog to Review on the WMDE-QWERTY-Season-Sprint-2019-03-20 board.

I did another update:

  • Removed all configuration settings that don't exist any more.
  • It said the popup would show when a page was edited. This is not true any more. I removed it.
  • I moved the description of our Reference Previews configuration down into the configuration section.

@WMDE-Fisch, from my perspective this is done. Feel free to move this to the demo column.

It looks generally fine to me, but I am wondering if we shouldn't also adapt the info box: The description there says "Displays popups when users hover over article links" and I wonder whether it feels right already to also call yourselves authors (or is there a better way to define more precisely where people worked on)?

Thanks!

Notes

  • I changed the text in the infobox to “Displays popups when users hover over article links and footnote markers“ (instead of references).
  • The link to user:Prtksxna was in a weird place. I fixed it.

Questions / potentially open issues

  • In T215897#5072010, @Lea_WMDE wrote: "I wonder whether it feels right already to also call yourselves authors (or is there a better way to define more precisely where people worked on)?" --> Did you discuss this?
  • Shouldn't we mention that popups will also appear on click (soon)?
  • The section "Content" is currently about Page Previews only. In my opinion,
Lea_WMDE closed this task as Resolved.Apr 17 2019, 1:14 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-04-03 board.